Name:           python-kmod
License:        MIT
Group:          Development/Libraries
Summary:        Python module to work with kernel modules
Version:        0.1
Release:        1%{?dist}
URL:            https://github.com/agrover/python-kmod/
Source:         https://github.com/agrover/%{name}/tarball/v%{version}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  kmod-devel
Requires:       kmod-libs

%description
Python module to allow listing, loading, and unloading
Linux kernel modules, using libkmod.

%prep
%setup -q -n agrover-%{name}-74467e0

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%{python_sitearch}/*
%doc COPYING COPYING.LESSER README

%changelog
* Thu Apr 12 2012 Andy Grover <agrover@redhat.com> - 0.1-1
- Initial packaging
